import playwrightCore from "playwright-core";
export async function createBrowser() {
  if (import.meta.dev || import.meta.env.prerender) {
    try {
      const { Launcher } = await import(String("chrome-launcher"));
      const chromePath = Launcher.getFirstInstallation();
      return await playwrightCore.chromium.launch({
        headless: true,
        executablePath: chromePath
      });
    } catch (e) {
    }
  }
  try {
    return await playwrightCore.chromium.launch({
      headless: true
    });
  } catch (e) {
  }
  try {
    const playwright = await import(String("playwright"));
    return await playwright.chromium.launch({
      headless: true
    });
  } catch (e) {
    if (import.meta.dev) {
      console.warn("Failed to load chromium instance. Ensure you have chrome installed, otherwise add the dependency: `npm add -D playwright`.");
    } else {
      console.error("Failed to load browser instance. Please open an issue with the exception: https://github.com/harlan-zw/nuxt-og-image/issues.");
      throw e;
    }
  }
}
