import { useStorage } from "#internal/nitro";
import { useNitroOrigin } from "#imports";
import { assets } from "#internal/nitro/virtual/server-assets";
export async function loadFont({ e }, font) {
  const { name, weight } = font;
  let data;
  if (import.meta.dev || import.meta.prerender) {
    if (font.key && await assets.hasItem(font.key))
      data = await assets.getItemRaw(font.key);
  }
  if (!data) {
    if (font.path) {
      if (import.meta.dev || import.meta.prerender) {
        const key = `root:public${font.path.replace("./", ":").replace("/", ":")}`;
        if (await useStorage().hasItem(key))
          data = await useStorage().getItemRaw(key);
        if (!data) {
          data = await e.$fetch(font.path, {
            responseType: "arrayBuffer"
          });
        }
      } else {
        data = await e.$fetch(font.path, {
          baseURL: useNitroOrigin(e),
          responseType: "arrayBuffer"
        });
      }
    } else {
      data = await e.$fetch(`/__og-image__/font/${name}/${weight}.ttf`, {
        responseType: "arrayBuffer"
      });
    }
  }
  font.data = data;
  return font;
}
