import { useCssInline } from "../renderers/satori/instances.mjs";
import { useNitroOrigin } from "#imports";
import cssInline from "#nuxt-og-image/bindings/css-inline";
export async function applyInlineCss({ e }, island) {
  let html = island.html;
  const componentInlineStyles = island.head.link.filter((l) => l.href.startsWith("/_nuxt/components"));
  const usingInlineCss = !!componentInlineStyles.length;
  if (!cssInline.__unenv__ && componentInlineStyles.length) {
    const css = island.head.style.map((s) => s.innerHTML).join("\n");
    const linksToCss = (await Promise.all(
      componentInlineStyles.map((l) => {
        return e.$fetch(`${l.href}&hmr=false`, {
          responseType: "text",
          baseURL: useNitroOrigin(e)
        }).then((res) => {
          return res.trim().split("\n").filter((l2) => !l2.startsWith("//")).join("\n").trim();
        });
      })
    )).join("\n");
    const cssToInline = `${linksToCss}${css}`;
    const cssInline2 = await useCssInline();
    html = cssInline2.inline(island.html, {
      load_remote_stylesheets: false,
      extra_css: cssToInline
    });
    const classes = cssToInline.match(/\.([a-zA-Z0-9-_]+)/g)?.map((c) => c.replace(".", ""));
    if (classes)
      html = html.replace(new RegExp(`class="(${classes.join("|")})"`, "g"), "");
    island.html = html;
  }
  return usingInlineCss;
}
