import { createError } from "h3";
import { hash } from "ohash";
export function fetchIsland({ options, e }) {
  if (!options.component) {
    throw createError({
      statusCode: 500,
      statusMessage: `[Nuxt OG Image] Rendering an invalid component. Received options: ${JSON.stringify(options)}.`
    });
  }
  const hashId = hash([options.component, options]);
  const props = typeof options.props !== "undefined" ? options.props : options;
  return e.$fetch(`/__nuxt_island/${options.component}_${hashId}.json`, {
    params: {
      props: JSON.stringify(props)
    }
  });
}
