export async function walkSatoriTree(e, node, plugins) {
  if (!node.props?.children || !Array.isArray(node.props.children))
    return;
  if (node.props.children.length === 0) {
    delete node.props.children;
    return;
  }
  for (const child of node.props.children || []) {
    if (child) {
      for (const plugin of plugins.flat()) {
        if (plugin.filter(child))
          await plugin.transform(child, e);
      }
      await walkSatoriTree(e, child, plugins);
    }
  }
}
export function defineSatoriTransformer(transformer) {
  return transformer;
}
