import { withoutLeadingSlash, withoutTrailingSlash } from "ufo";
import { hash } from "ohash";
import { normalizeKey } from "unstorage";
import { getQuery } from "h3";
export function resolvePathCacheKey(e, path) {
  const siteConfig = e.context.siteConfig.get();
  const basePath = withoutTrailingSlash(withoutLeadingSlash(normalizeKey(path || e.path)));
  return [
    !basePath || basePath === "/" ? "index" : basePath,
    hash([
      basePath,
      siteConfig.url,
      hash(getQuery(e))
    ])
  ].join(":");
}
